futhark-0.25.32: An optimising compiler for a functional, array-oriented language.

Safe Haskell | Safe-Inferred
Language | GHC2021

Futhark.CodeGen.ImpGen.GPU.ToOpenCL

Description

This module defines a translation from imperative code with kernels to imperative code with OpenCL or CUDA calls.

Synopsis

- kernelsToOpenCL :: Program -> Program
- kernelsToCUDA :: Program -> Program
- kernelsToHIP :: Program -> Program

# Documentation

kernelsToOpenCL :: Program -> Program Source #

Generate OpenCL host and device code.

kernelsToCUDA :: Program -> Program Source #

Generate CUDA host and device code.

kernelsToHIP :: Program -> Program Source #

Generate HIP host and device code.